main.site-main {
  max-width: 1280px;
  width: 100%;
  margin: 0 auto;
  padding: 0;
}

html,
body {
  min-height: 100%;
}

body {
  min-height: 100vh;
}

.wp-site-blocks {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

.wp-site-blocks > main.site-main {
  flex: 1 0 auto;
}

.wp-site-blocks > footer {
  margin-top: auto;
  flex: 0 0 auto;
}

.site-header {
  box-sizing: border-box;
  width: 100%;
}

.site-header #header_nav .wp-block-navigation__responsive-container-open,
.site-header #header_nav .wp-block-navigation__responsive-container-close {
  display: none;
}

.site-header #header_nav .wp-block-navigation__container {
  gap: 0;
}

.site-header #header_nav .wp-block-navigation-item {
  padding: 7px;
}

.site-header #header_nav .wp-block-navigation-item__content {
  font-size: 16px;
  line-height: 18px;
  font-weight: 700;
  letter-spacing: 1px;
  text-transform: uppercase;
  color: #000;
}

.site-header #header_nav .current-menu-item .wp-block-navigation-item__content,
.site-header #header_nav .current_page_item .wp-block-navigation-item__content,
.site-header #header_nav .wp-block-navigation-item:hover .wp-block-navigation-item__content {
  color: #606060;
}

#mobile_nav_toggle {
  display: none;
}

@media (max-width: 1050px) {
  #mobile_nav_toggle {
    display: block;
  }

  .site-header #header_nav {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.4s linear;
  }

  .site-header #header_nav.open {
    max-height: 700px;
  }

  .site-header #header_nav .wp-block-navigation__container {
    display: block;
    background: #427c7a;
    border-radius: 15px;
    padding: 20px;
  }

  .site-header #header_nav .wp-block-navigation-item__content {
    color: #fff;
  }
}

footer .social_media img {
  width: 22px;
  height: 22px;
  display: inline-block;
}

.wp-block-group.is-style-box,
.wp-block-group.box {
  box-sizing: border-box;
  padding: 20px;
  margin: 40px 0;
}

.wp-block-group.is-style-narrow-box,
.wp-block-group.narrow-box {
  max-width: 900px;
  margin-left: auto;
  margin-right: auto;
}

.wp-block-group.is-style-bordered-box,
.wp-block-group.bordered-box {
  background-color: #fff;
  color: #606060;
  border: 1px solid #a6c605;
  border-radius: 15px;
  box-shadow: 0 0 3px 2px rgb(0 0 0 / 10%);
}

.wp-block-group.is-style-light-box,
.wp-block-group.light-box {
  background-color: #bee2a1;
  color: #000;
  border-radius: 15px;
  box-shadow: 0 0 3px 2px rgb(0 0 0 / 10%);
}

.wp-block-group.is-style-dark-box,
.wp-block-group.dark-box {
  background-color: #427c7a;
  color: #fff;
  border-radius: 15px;
  box-shadow: 0 0 3px 2px rgb(0 0 0 / 10%);
}

.wp-block-group.is-style-wide-box,
.wp-block-group.wide-box,
.wide-box {
  border-radius: 0;
  box-shadow: 0 0 3px 2px rgb(0 0 0 / 10%);
}

.wp-block-columns.is-style-columns-align-center,
.wp-block-columns.columns-align-center {
  align-items: center;
}

.wp-block-columns.is-style-columns-align-stretch,
.wp-block-columns.columns-align-stretch {
  align-items: stretch;
}

.wp-block-columns.is-style-columns-reversed,
.wp-block-columns.columns-reversed {
  flex-direction: row-reverse;
}

.wp-block-column.is-style-picture-column,
.wp-block-column.picture-column {
  padding: 0 20px;
  text-align: center;
}

.wp-block-column.is-style-picture-column img,
.wp-block-column.picture-column img {
  width: 100%;
  max-width: 100%;
  border-radius: 15px;
}

.wp-block-button.is-style-light-button .wp-block-button__link,
.light-button {
  border-radius: 5em;
  box-shadow: 1px 2px 4px 0 rgb(0 0 0 / 20%);
  padding: 14px 34px;
  font-size: 20px;
  line-height: normal;
  font-weight: 700;
  text-decoration: none;
  color: #fff;
  background-color: #a6c605;
}

.wp-block-button.is-style-dark-button .wp-block-button__link,
.dark-button {
  border-radius: 5em;
  box-shadow: 1px 2px 4px 0 rgb(0 0 0 / 20%);
  padding: 14px 34px;
  font-size: 20px;
  line-height: normal;
  font-weight: 700;
  text-decoration: none;
  color: #fff;
  background-color: #427c7a;
}

.wp-block-heading.is-style-flat,
p.is-style-flat,
ul.is-style-flat,
h1.flat,
h2.flat,
h3.flat,
p.flat,
ul.flat {
  margin-bottom: 0;
}

.main_picture,
.main_slider,
.sticky_background {
  position: relative;
  overflow: hidden;
}

.main_picture .image-background-block,
.main_slider .image-background-block,
.sticky_background .image-background-block {
  display: block;
  position: absolute;
  left: 0;
  right: 0;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}

.main_picture {
  height: 600px;
  background-color: #427c7a;
  color: #fff;
}

.main_picture .image-background-block {
  top: 0;
  width: 100%;
  height: 100%;
}

.main_picture h1 {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  font-size: 3em;
  line-height: normal;
  color: #fff;
  text-shadow: #282a2b 1px 0 30px;
}

.main_slider {
  height: 600px;
}

.main_slider .image-background-block,
.main_slider .image {
  top: 0;
  width: 100%;
  height: 100%;
}

.main_slider .image {
  position: absolute;
  opacity: 0;
  transition: opacity 1s ease;
}

.sticky_background {
  min-height: 180px;
  text-align: center;
  padding-top: 80px;
  padding-bottom: 80px;
  background-color: #427c7a;
  color: #fff;
}

.sticky_background .image-background-block {
  top: 0;
  width: 100%;
  height: 300%;
}

.sticky_background .image-background-block::before {
  content: "";
  position: absolute;
  inset: 0;
  background-color: rgb(0 0 0 / 50%);
}

.sticky_background * {
  position: relative;
  color: #fff;
}

.upcoming_events_widget .upcoming_events_item {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.wide-box-container {
  margin: 40px 0;
}

.not_found_number {
  color: #427c7a;
  font-size: 180px;
  font-weight: 700;
  line-height: normal;
  text-align: center;
}

@media (max-width: 700px) {
  .main_picture,
  .main_slider {
    height: 350px;
  }
}
